extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:cyclops/cyclops_layer1",
    "layer2": "tgheroes:cyclops/cyclops_layer2"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {

    utils.bindBeam(renderer, "fiskheroes:heat_vision", "fiskheroes:heat_vision", "head", 0xFF0000, [
        { "firstPerson": [0.0, 0.0, 3.0], "offset": [0.0, -3.0, 1.0], "size": [4.0, 0.5] }
    ]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_heat_vision"));
}

